# Uses of Class
org.jmol.jvxl.data.VolumeData

Packages that use VolumeData
Package
Description
org.jmol.jvxl.calc
org.jmol.jvxl.data
org.jmol.jvxl.readers
org.jmol.quantum
org.openscience.jvxl.simplewriter

## Uses of VolumeData in org.jmol.jvxl.calc

Fields in org.jmol.jvxl.calc declared as VolumeData
Modifier and Type
Field
Description
`protected VolumeData`
MarchingCubes.`volumeData`
Methods in org.jmol.jvxl.calc with parameters of type VolumeData
Modifier and Type
Method
Description
`protected void`
MarchingCubes.`setParameters(VolumeData volumeData, Parameters params)`
Constructors in org.jmol.jvxl.calc with parameters of type VolumeData
Modifier
Constructor
Description
``
`MarchingCubes(VertexDataServer surfaceReader, VolumeData volumeData, Parameters params, BS bsVoxels)`
``
`MarchingSquares(VertexDataServer surfaceReader, VolumeData volumeData, P4 thePlane, float[] contoursDiscrete, int nContours, int thisContour, boolean contourFromZero)`

## Uses of VolumeData in org.jmol.jvxl.data

Methods in org.jmol.jvxl.data with parameters of type VolumeData
Modifier and Type
Method
Description
`static void`
JvxlCoder.`jvxlCreateHeader(VolumeData v, SB sb)`
Creates a two-line header for the XJVXL file.
`static void`
JvxlCoder.`jvxlCreateHeaderWithoutTitleOrAtoms(VolumeData v, SB bs)`
`static String`
JvxlCoder.`jvxlGetFile(VolumeData volumeData, JvxlData jvxlData, String[] title)`

## Uses of VolumeData in org.jmol.jvxl.readers

Fields in org.jmol.jvxl.readers declared as VolumeData
Modifier and Type
Field
Description
`VolumeData`
Parameters.`volumeData`
`VolumeData`
SurfaceGenerator.`volumeDataTemp`
Methods in org.jmol.jvxl.readers with parameters of type VolumeData
Modifier and Type
Method
Description
`protected void`
SurfaceReader.`setVolumeDataV(VolumeData v)`

## Uses of VolumeData in org.jmol.quantum

Methods in org.jmol.quantum with parameters of type VolumeData
Modifier and Type
Method
Description
`void`
MepCalculation.`calculate(VolumeData volumeData, BS bsSelected, P3[] xyz, Atom[] atoms, float[] potentials, int calcType)`
`boolean`
MOCalculation.`setupCalculation(Map<String,Object> moData, boolean isSlaters, VolumeData volumeData, BS bsSelected, T3[] xyz, Atom[] atoms, int firstAtomOffset, int[][] dfCoefMaps, float[] moCoefficients, float[] linearCombination, boolean isSquaredLinear, float[][] coefs, T3[] points)`
`boolean`
NciCalculation.`setupCalculation(VolumeData volumeData, BS bsSelected, BS bsExcluded, BS[] bsMolecules, T3[] atomCoordAngstroms, int firstAtomOffset, boolean isReducedDensity, T3[] points, float[] parameters, int testFlags)`

## Uses of VolumeData in org.openscience.jvxl.simplewriter

Methods in org.openscience.jvxl.simplewriter with parameters of type VolumeData
Modifier and Type
Method
Description
`static String`
ASimpleJvxlWriter.`jvxlGetData(VoxelDataCreator vdc, Parameters params, VolumeData volumeData, String[] title, Lst<P3> surfacePointsReturn, float[] areaVolumeReturn)`
Constructors in org.openscience.jvxl.simplewriter with parameters of type VolumeData
Modifier
Constructor
Description
``
`SimpleMarchingCubes(VoxelDataCreator vdc, VolumeData volumeData, Parameters params, JvxlData jvxlData, Lst<P3> surfacePointsReturn, float[] areaVolumeReturn)`